# Generated from chemlab-0.7.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name chemlab

Name: rubygem-%{gem_name}
Version: 0.7.2
Release: 1%{?dist}
Summary: Automation framework built by GitLab, for the world
License: MIT
URL: https://about.gitlab.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.2
# BuildRequires: rubygem(climate_control) >= 1.0.0
# BuildRequires: rubygem(climate_control) < 1.1
# BuildRequires: rubygem(nokogiri) >= 1.10.9
# BuildRequires: rubygem(nokogiri) < 1.11
# BuildRequires: rubygem(pry) >= 0.14.1
# BuildRequires: rubygem(pry) < 0.15
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-parameterized) >= 0.4.2
# BuildRequires: rubygem(rspec-parameterized) < 0.5
# BuildRequires: rubygem(rubocop) >= 1.14.0
# BuildRequires: rubygem(rubocop) < 1.15
# BuildRequires: rubygem(rubocop-rspec) >= 2.3.0
# BuildRequires: rubygem(rubocop-rspec) < 2.4
# BuildRequires: rubygem(yard) >= 0.9.26
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
Automation framework built by GitLab, for the world.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/chemlab
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 0.7.2-1
- Initial package
